#language: ru

@ignore
@exportscenarios

Функционал: Библиотека. Ценообразование

Сценарий: Я начинаю создавать вид цены "ИмяВидаЦены"

	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Вид цены (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'ИмяВидаЦены'

Сценарий: Я устанавливаю код "КодВидаЦены" для вида цены

	И я разворачиваю группу "Подробное описание"
	И в поле 'Код' я ввожу текст '0'
	Тогда я жду открытия окна '1С:Предприятие' в течение 20 секунд
	И я нажимаю на кнопку 'Да'
	Тогда я жду открытия окна 'Вид цены (создание) *' в течение 20 секунд
	И в поле 'Код' я ввожу текст 'КодВидаЦены'

Сценарий: Я заканчиваю создавать вид цены

	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вид цены (создание)' в течение 20 секунд
	Тогда я жду открытия окна 'Виды цен' в течение 20 секунд

Сценарий: Я добавляю вид цены "ИмяВидаЦены" в документ установка цен

	И в таблице "ВидыЦен" я нажимаю на кнопку с именем 'ВидыЦенДобавить'
	И в таблице "ВидыЦен" из выпадающего списка "Вид цен" я выбираю по строке 'ИмяВидаЦены'
	И в таблице "ВидыЦен" я завершаю редактирование строки

Сценарий: Я устанавливаю для номенклатуры "ИмяНоменклатуры" и цены "ВидЦены" цену "ЗначениеЦены"

	И в таблице "ДеревоЦен" я перехожу к строке:
		| 'Номенклатура/Характеристика' | 
		| 'ИмяНоменклатуры'              | 
	И в таблице "ДеревоЦен" в поле с именем 'ВидЦены' я ввожу текст 'ЗначениеЦены'
	И в таблице "ДеревоЦен" я завершаю редактирование строки

Сценарий: Я проверяю что для номенклатуры "ИмяНоменклатуры" и цены "ВидЦены" цена имеет значение "ЗначениеЦены"

	И в таблице "ДеревоЦен" я перехожу к строке:
		| 'Номенклатура/Характеристика' | 
		| 'ИмяНоменклатуры'              | 
	И в таблице "ДеревоЦен" поле с именем "ВидЦены" имеет значение "ЗначениеЦены"

Сценарий: Я завершаю установку цен

	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Установка цен (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'История изменения цен' в течение 20 секунд
	И Я закрываю окно 'История изменения цен'

Сценарий: Я начинаю создавать документ установка цен 
	
	И В командном интерфейсе я выбираю 'Заказы' 'История изменения цен'
	Тогда я жду открытия окна 'История изменения цен' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Установка цен (создание)' в течение 20 секунд
 
Сценарий: Я ввожу в ячейку "ИмяЯчейки" текст "СодержаниеЯчейки"

	И в табличном документе 'ТабличныйДокумент' я перехожу к ячейке "ИмяЯчейки"
	И в табличном документе 'ТабличныйДокумент' я делаю двойной клик на текущей ячейке
	И в табличный документ "ТабличныйДокумент" я ввожу текст 'СодержаниеЯчейки'

Сценарий: Я подбираю вид цены "ИмяВидаЦены"
	
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'ИмяВидаЦены'      | 
	И я нажимаю на кнопку с именем 'ФормаВыбрать'

Сценарий: Я устанавливаю вид цены "ВидЦены", налогообложение "ВидНалогообложения" и цену на "ЦенаНа" в соглашении с контрагетом

	И я перехожу к закладке "Ценовые условия"
	И из выпадающего списка "Вид цен" я выбираю по строке 'ВидЦены'
	И из выпадающего списка "Налогообложение" я выбираю точное значение 'ВидНалогообложения'
	И я меняю значение переключателя 'Цена' на 'ЦенаНа'

Сценарий: Я добавляю в уточнении ценовых условий для товарной категории "ТоварнаяКатегория" процент скидки "ПроцентСкидки"

	И в таблице "ЦеновыеУточнения" я нажимаю на кнопку с именем 'ЦеновыеУточненияДобавить'
	И в таблице "ЦеновыеУточнения" из выпадающего списка "Товарная категория" я выбираю по строке 'ТоварнаяКатегория'
	И в таблице "ЦеновыеУточнения" в поле '% скидки' я ввожу текст 'ПроцентСкидки'
	И в таблице "ЦеновыеУточнения" я завершаю редактирование строки

Сценарий: Я начинаю создавать скидку "ИмяСкидки"

	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Скидка (наценка) (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'ИмяСкидки'

Сценарий: Я подбираю соглашение "ИмяСоглашения" в статусе "СтатусСоглашения"

	И в таблице "Соглашения" я нажимаю на кнопку с именем 'СоглашенияПодобратьСоглашения'
	Тогда я жду открытия окна 'Подбор соглашений' в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  | 	'Статус'       |
		| 'ИмяСоглашения' | 'СтатусСоглашения' |
	И в таблице "Список" я выбираю текущую строку
	И я нажимаю на кнопку "Перенести в документ"

Сценарий: Я заканчиваю создавать скидку

	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Скидка (наценка) (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Скидки (наценки)' в течение 20 секунд

Сценарий: Я устанавливаю процент скидки "ПроцентСкидки" на товарную категорию "ТоварнаяКатегория"

	И в таблице "ТоварныеКатегории" я нажимаю на кнопку с именем 'ТоварныеКатегорииДобавить'
	И в таблице "ТоварныеКатегории" из выпадающего списка "Товарная категория" я выбираю по строке 'ТоварнаяКатегория'
	И в таблице "ТоварныеКатегории" в поле с именем 'ТоварныеКатегорииПроцентСкидки' я ввожу текст 'ПроцентСкидки'
	И в таблице "ТоварныеКатегории" я завершаю редактирование строки

Сценарий: Я проверяю что в заказе клиента скидка равна "СкидкаСумма" ндс равен "НДССумма" процент равен "ПроцентСкидки" итог равен "ИтогСумма"

	И элемент формы "Скидка" стал равен "СкидкаСумма"
	И элемент формы "НДС" стал равен "НДССумма"
	И элемент формы "Скидка, %" стал равен "ПроцентСкидки"
	И элемент формы "Итого, RUB" стал равен "ИтогСумма"

Сценарий: Я создаю вид цен включающий НДС "ИмяВидаЦены"

	И В командном интерфейсе я выбираю 'Заказы' 'Виды цен'
	Тогда открылось окно 'Виды цен'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Вид цены (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'ИмяВидаЦены'
	И я устанавливаю флаг с именем 'ЦенаВключаетНДС'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Вид цены (создание) *' в течение 20 секунд
	Тогда открылось окно 'Виды цен'
	И Я закрываю окно 'Виды цен'

Сценарий: Я создаю соглашение "ИмяСоглашения" с покупателем "ИмяПокупателя" и видом цены "ИмяВидаЦены" для организации "ИмяОрганизации" с графиком оплаты "ИмяГрафикаОплаты" и порядком расчетов "ИмяПорядкаРасчетов"

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Соглашения с контрагентами'
	Тогда открылось окно 'Соглашения с контрагентами'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Соглашение с контрагентом (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'ИмяСоглашения'
	И из выпадающего списка с именем "Контрагент" я выбираю по строке 'ИмяПокупателя'
	И из выпадающего списка с именем "Организация" я выбираю по строке 'ИмяОрганизации'
	И из выпадающего списка с именем "Статус" я выбираю точное значение 'Действует'
	И в поле с именем 'ДатаНачалаДействия' я ввожу текст '01.01.2021'
	И в поле с именем 'ДатаОкончанияДействия' я ввожу текст '01.01.2030  0:00:00'
	И из выпадающего списка с именем "ВидСоглашения" я выбираю точное значение 'С покупателем'
	И я перехожу к закладке с именем "СтраницаЦеновыеУсловия"
	И из выпадающего списка с именем "ВидЦен" я выбираю по строке 'ИмяВидаЦены'
	И из выпадающего списка с именем "ВалютаВзаиморасчетов" я выбираю по строке 'RUB'
	И из выпадающего списка с именем "ПорядокРасчетов" я выбираю точное значение 'По соглашениям'
	И из выпадающего списка с именем "ГрафикОплаты" я выбираю по строке 'ИмяГрафикаОплаты'
	И из выпадающего списка с именем "ПорядокРасчетов" я выбираю точное значение 'ИмяПорядкаРасчетов'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Соглашение с контрагентом (создание) *' в течение 20 секунд
	Тогда открылось окно 'Соглашения с контрагентами'
	И Я закрываю окно 'Соглашения с контрагентами'

Сценарий: Я создаю соглашение "ИмяСоглашения" с поставщиком "ИмяПоставщика" и видом цены "ИмяВидаЦены" для организации "ИмяОрганизации" с графиком оплаты "ИмяГрафикаОплаты"

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Соглашения с контрагентами'
	Тогда открылось окно 'Соглашения с контрагентами'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Соглашение с контрагентом (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'ИмяСоглашения'
	И из выпадающего списка с именем "Контрагент" я выбираю по строке 'ИмяПоставщика'
	И из выпадающего списка с именем "Организация" я выбираю по строке 'ИмяОрганизации'
	И из выпадающего списка с именем "Статус" я выбираю точное значение 'Действует'
	И в поле с именем 'ДатаНачалаДействия' я ввожу текст '01.01.2021'
	И в поле с именем 'ДатаОкончанияДействия' я ввожу текст '01.01.2030  0:00:00'
	И из выпадающего списка с именем "ВидСоглашения" я выбираю точное значение 'С поставщиком'
	И я перехожу к закладке с именем "СтраницаЦеновыеУсловия"
	И из выпадающего списка с именем "ВидЦен" я выбираю по строке 'ИмяВидаЦены'
	И из выпадающего списка с именем "ВалютаВзаиморасчетов" я выбираю по строке 'RUB'
	И из выпадающего списка с именем "ПорядокРасчетов" я выбираю точное значение 'По соглашениям'
	И из выпадающего списка с именем "ГрафикОплаты" я выбираю по строке 'ИмяГрафикаОплаты'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Соглашение с контрагентом (создание) *' в течение 20 секунд
	Тогда открылось окно 'Соглашения с контрагентами'
	И Я закрываю окно 'Соглашения с контрагентами'